Package uk.ac.starlink.registry

# Class RegistryQueryException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
uk.ac.starlink.registry.RegistryQueryException

All Implemented Interfaces:
  `Serializable`

public class RegistryQueryException extends RuntimeException
Unchecked exception used to contain a checked Exception. This is needed because it may have to be thrown from an Iterator.

Since:
  18 Dec 2008
Author:
  Mark Taylor
See Also:
  - `AbstractRegistryClient.getResourceIterator(uk.ac.starlink.registry.SoapRequest)`
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`RegistryQueryException(Throwable cause)`
Constructor.

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### RegistryQueryException

public RegistryQueryException(Throwable cause)
Constructor.

Parameters:
  `cause` - underlying exception